#ifndef ARRANGEMODULE_R_H
#define ARRANGEMODULE_R_H

#ifndef MODULE_R_H
#include "Module.r.h"
#endif


// Value for the targetApp field of a ModuleDef record to use for Arrange.
#define ArrangeAppID 0x01000000

/* Values for the minAppVers field of a ModuleDef record.
 * 
 * Despite appearances, ArrangePonsVers is the version number for Arrange 2.0,
 * not Arrange 1.5.  ("Pons" was the code name for Arrange 2.0.)
 */
#define ArrangePonsVers		0x00001500
#define ArrangePons1Vers 	0x00002001
#define ArrangePons2Vers 	0x00002002


#endif // ifndef ARRANGEMODULE_R_H