#include <Types.r>
#include <SysTypes.r>

#include "ArrangeModule.r.h"

#define ModuleName	"CGI"		// Unique module name
#define FullModuleName	"CGI Plug-in"
#define Version			"1.0a1"
#define ModuleID 		0x72310000				// Unique module ID
#define ModuleRsrcID -0x8000					// Base resource ID (needn't be unique)
#define BuildDate    0							// Replace with current build date


resource 'vers' (2, purgeable) {
	0x1, 0x0, alpha, 0x1,
	verUS,
	"1.0a1",
	"CGIArranger 1.0a1"
};

resource ModuleDefType (ModuleRsrcID, ModuleName, preload, locked)
	{
	keepLocked,				// Module's code resources should always be locked (don't
								// lock and unlock for each call)
	loadAtBoot,				// Load the module when Arrange is launched
	ModuleName,				// Unique module name
	ModuleID,				// Unique module ID
	0x00000000,				// Module version
	BuildDate,				// Date when this module was built
	ArrangeAppID,			// Target application (Arrange)
	0x00000700,				// Target system version (7.0.0)
	ArrangePonsVers,		// Target app version (Arrange 2.0)
	0							// relative ID of root code resource
	};


// ALRT resource for our plug-in about box
resource 'ALRT' (ModuleRsrcID, purgeable)
{
	{90, 60, 210, 450},
	ModuleRsrcID,
		{	
		OK, visible, silent,
		OK, visible, silent,
		OK, visible, silent,
		OK, visible, silent
		}
#if SystemSevenOrLater
	,alertPositionMainScreen
#endif
};


// DITL resource for our plug-in about box
resource 'DITL' (ModuleRsrcID)
{
	{	
		{90, 315, 110, 375},	Button     {enabled, "OK"},
		{10,  70,  70, 370},	StaticText {disabled, FullModuleName" "Version"\n"},
		{10,  20,  40,  50},	Icon       {disabled, 1}
	}
};

resource 'STR ' (ModuleRsrcID+1, purgeable) { "About "FullModuleName"" };
resource 'STR ' (ModuleRsrcID+2, purgeable) { "CGI Text..." };
resource 'STR ' (ModuleRsrcID+3, purgeable) { "Now CGI-ing Text" };
